diff mbox

generic/226: improve mkfs and mount error handling

Message ID 20141002203455.GC2364@wallace
State Not Applicable, archived
Headers show

Commit Message

Eric Whitney Oct. 2, 2014, 8:34 p.m. UTC
If 226's attempt to make a scratch device fails, it can inadvertently
mount and run on a pre-existing scratch file system.  This can lead to
invalid test results unless the mkfs failure is separately noted in
226.full.

Noted while debugging an ext4 inline data test failure.  Small ext4 file
systems, as used by this test, use small inodes that are incompatible
with inline data.

Signed-off-by: Eric Whitney <enwlinux@gmail.com>
---
 tests/generic/226 | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
diff mbox

Patch

diff --git a/tests/generic/226 b/tests/generic/226
index b98e889..44b60ff 100755
--- a/tests/generic/226
+++ b/tests/generic/226
@@ -43,8 +43,9 @@  rm -f $seqres.full
 
 umount $SCRATCH_DEV 2>/dev/null
 echo "--> mkfs 256m filesystem"
-_scratch_mkfs_sized `expr 256 \* 1024 \* 1024` >> $seqres.full 2>&1
-_scratch_mount
+_scratch_mkfs_sized `expr 256 \* 1024 \* 1024` >> $seqres.full 2>&1 \
+	|| _fail "mkfs failed"
+_scratch_mount >> $seqres.full 2>&1 || _fail "mount failed"
 
 loops=16